Subject: Re: [PATCH net-next] net: arcnet: com20020-pci: fix support for 2.5Mbit cards

From: Simon Horman <[email-masked]>
Date: Mon, 9 Feb 2026 15:41:38 +0000

On Wed, Feb 04, 2026 at 10:51:12PM -0800, Ethan Nelson-Moore wrote:
> Commit 8c14f9c70327 ("ARCNET: add com20020 PCI IDs with metadata")
> converted the com20020-pci driver to use a card info structure instead
> of a single flag mask in driver_data. However, it failed to take into
> account that in the original code, driver_data of 0 indicates a card
> with no special flags, not a card that should not have any card info
> structure. This introduced a null pointer dereference when cards with
> no flags were probed.
> 
> Commit bd6f1fd5d33d ("net: arcnet: com20020: Fix null-ptr-deref in
> com20020pci_probe()") then papered over this issue by rejecting cards
> with no driver_data instead of resolving the problem at its source.
> 
> Revert the incorrect fix and fix the original issue by introducing a
> new card info structure for 2.5Mbit cards that does not set any flags.
> 
> Fixes: 8c14f9c70327 ("ARCNET: add com20020 PCI IDs with metadata")
> Fixes: bd6f1fd5d33d ("net: arcnet: com20020: Fix null-ptr-deref in com20020pci_probe()")
> Cc: [email-masked]
> Signed-off-by: Ethan Nelson-Moore <[email-masked]>

I do wonder if this should be targeted at net rather than net-next.
But at any rate, looking over the cited commits, the change looks good to
me.

Reviewed-by: Simon Horman <[email-masked]>

...